<template>
  <Modal
    :modalStyle="{ width: '700px' }"
    title="Musician"
    @close="$emit('close', 'dancer')"
    :visible="visible"
  >
    <div slot="content" class="dancer">
      <div class="px-7 py-7">
        <p class="font-weight-bold mb-2">Styles</p>
        <v-row no-gutters>
          <v-col>
            <Checkbox :checkboxStyle="{marginBottom: '8px'}">African American and Traditional Jazz</Checkbox>
            <div class="dancer__subContent">
              <Checkbox>Boogie-Woogie</Checkbox>
              <Checkbox>Charleston</Checkbox>
              <Checkbox>Moonwalk</Checkbox>
              <Checkbox>Swing</Checkbox>
              <Checkbox>Tap</Checkbox>
            </div>
            <Checkbox :checkboxStyle="{marginBottom: '8px'}">Ballroom</Checkbox>
            <div class="dancer__subContent">
              <Checkbox>Bolero</Checkbox>
              <Checkbox>Cha-Cha-Cha</Checkbox>
              <Checkbox>Quick Step</Checkbox>
              <Checkbox>Rumba</Checkbox>
              <Checkbox>Samba</Checkbox>
              <Checkbox>Tango</Checkbox>
              <Checkbox>Viennese Waltz</Checkbox>
              <Checkbox>Waltz</Checkbox>
            </div>
            <Checkbox>Contra</Checkbox>
          </v-col>
          <v-col>
            <Checkbox>Country & Western</Checkbox>
            <Checkbox>Hip-Hop</Checkbox>
            <Checkbox>Lryical</Checkbox>
            <Checkbox :checkboxStyle="{marginBottom: '8px'}">Modern</Checkbox>
            <div class="dancer__subContent">
              <Checkbox>Bollywood</Checkbox>
              <Checkbox>Disco</Checkbox>
              <Checkbox>House</Checkbox>
              <Checkbox>Punk</Checkbox>
              <Checkbox>Rave</Checkbox>
            </div>
            <Checkbox :checkboxStyle="{marginBottom: '8px'}">Professional</Checkbox>
            <div class="dancer__subContent">
              <Checkbox>Ballet</Checkbox>
              <Checkbox>Concert</Checkbox>
              <Checkbox>Contemporary</Checkbox>
              <Checkbox>Line</Checkbox>
              <Checkbox>Modern</Checkbox>
            </div>
          </v-col>
          <v-col>
            <Checkbox :checkboxStyle="{marginBottom: '8px'}">Worldwide and Latin</Checkbox>
            <div class="dancer__subContent">
              <Checkbox>Salsa</Checkbox>
              <Checkbox>Flamenco</Checkbox>
              <Checkbox>Tango</Checkbox>
              <Checkbox>Lambada</Checkbox>
              <Checkbox>Polka</Checkbox>
              <Checkbox>Jive</Checkbox>
              <Checkbox>Swing</Checkbox>
              <Checkbox>Capoeira</Checkbox>
              <Checkbox>Folk</Checkbox>
              <Checkbox>Belly</Checkbox>
              <Checkbox>Irish</Checkbox>
              <Checkbox>Highland</Checkbox>
            </div>
            <Checkbox>Other:</Checkbox>
            <div class="dancer__desc">Describe</div>
          </v-col>
        </v-row>
      </div>
    </div>
    <v-btn slot="button" rounded color="error" min-width="200" @click="$emit('save', 'dancer')">Save</v-btn>
  </Modal>
</template>

<script>
import Modal from '../../shared/Modal/Modal';
import Checkbox from '../../shared/Checkbox/Checkbox';
export default {
  name: 'ProfessionDancer',
  props: {
    visible: Boolean
  },
  components: {
    Modal,
    Checkbox
  }
};
</script>

<style lang="scss" scoped >
@import './ProfessionDancer.scss';
</style>